#!/bin/sh
. ./combine-env.sh

if [ ! -e linux-source-${lxdebvb}-nas5xx.tar.gz ]; then
  echo "Creating linux-source-${lxdebvb}-nas5xx.tar.gz..."
  fakeroot tar czf linux-source-${lxdebvb}-nas5xx.tar.gz \
    archives/linux-latest* archives/linux-tools* \
    linux config \
    build-*.sh combine-config.sh combine-env.sh flash-*.sh install-*.sh \
    nas540-barebox-boot.tar.gz tools*.patch tools-*.sh
fi
