#!/bin/sh
KRN_MTD=`cat /proc/mtd | grep '"kernel2"' | cut -d ':' -f 1`
KRN_IMG=linux/arch/arm/boot/uImage
KRN_MAX=0

if cat /proc/cmdline | grep '10M(kernel2)'; then
  KRN_MAX=80
  echo ${KRN_MAX}
fi

if [ x${KRN_MTD} = xmtd6 -a -e ${KRN_IMG} ]; then
  echo "***  Erasing ... ****"
  /sbin/flash_erase /dev/mtd6 0 ${KRN_MAX}
  echo "*** Writing... ***"
  #/sbin/flashcp ${KRN_IMG} /dev/mtd6
  /sbin/nandwrite -a -p /dev/mtd6 ${KRN_IMG}
  echo "*** Set next_bootfrom... ***"
  /firmware/sbin/info_setenv next_bootfrom 2
fi

