#!/bin/sh
sudo ./build-deps.sh

. ./tools-env.sh
./build-tools.sh
./install-kbuild.sh
sudo apt-get install -y linux-kbuild-${ltdebma}

sed -i s/'NAS_MODEL=nas540'/'NAS_MODEL=nas5xx'/g ./combine-config.sh

if [ -e combine-alt.sh ]; then
  bash combine-alt.sh
fi

if [ -e linux/debian/config/armhf/config.nas520 ]; then
  sed -i s/'nas5xx'/'nas540'/g ./build-linux.sh

  #sed -i s/'nas540'/'nas520'/g ./build-linux.sh
  #./build-linux.sh
  #sed -i s/'nas520'/'nas540'/g ./build-linux.sh
  
  sed -i s/'nas540'/'nas5xx'/g ./build-linux.sh

  if [ -e combine-alt.sh ]; then
    ./build-source.sh
  fi

  ./build-linux.sh
fi

sed -i s/'NAS_MODEL=nas5xx'/'NAS_MODEL=nas540'/g ./combine-config.sh

